<template>
  <div class="contSecc">
    <div class="titSec">Búsqueda de Documento</div>
    <v-card>
      <div class="gris">
        <v-row>
          <v-col :cols="12" :sm="12" :md="2" :lg="2" :xl="2"></v-col>
          <v-col :cols="12" :sm="12" :md="2" :lg="2" :xl="2"></v-col>
          <v-col :cols="12" :sm="12" :md="2" :lg="2" :xl="2">
            <v-menu
              ref="menuI"
              v-model="menuI"
              :close-on-content-click="false"
              :nudge-right="40"
              transition="scale-transition"
              offset-y
              :cache-items="false"
              max-width="290px"
              min-width="290px"
            >
              <template v-slot:activator="{ on }">
                <v-text-field
                  v-model="value.fechaI"
                  prepend-icon="mdi-calendar-month"
                  label="Fecha Inicio"
                  v-on="on"
                  :cache-items="false"
                  autocomplete="off"
                  readonly
                >
                </v-text-field>
              </template>
              <v-date-picker
                v-model="value.fechaI"
                no-title
                :cache-items="false"
                @input="menuI = false"
                :max='nowDate'
              ></v-date-picker>
            </v-menu>
          </v-col>

          <v-col :cols="12" :sm="12" :md="2" :lg="2" :xl="2">
            <v-menu
              ref="menuF"
              v-model="menuF"
              :nudge-right="40"
              :close-on-content-click="false"
              transition="scale-transition"
              offset-y
              :cache-items="false"
              max-width="290px"
              min-width="290px"

            >
              <!-- <template v-slot:activator="{ on, attrs }"> -->
              <template v-slot:activator="{ on }">
                <v-text-field
                  v-model="value.fechaF"
                  prepend-icon="mdi-calendar-month"
                  label="Fecha Fin"
                  readonly
                  v-on="on"
                  :cache-items="false"
                  autocomplete="off"
                >
                </v-text-field>
              </template>
              <v-date-picker
                v-model="value.fechaF"
                no-title
                :cache-items="false"
                @input="menuF = false"
                :max='nowDate'

              >
              </v-date-picker>
            </v-menu>
          </v-col>
        </v-row>
      </div>
    </v-card>
  </div>
</template>

<script>
export default {
  props: {
    value: Object,
  },
  name: "Component-SeleccionaFechas",
  data() {
    return {
      nowDate: new Date().toISOString().slice(0,10),
      menuF: false,
      menuI: false,
    };
  },
  methods:{
   
  },
};
</script>


